Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoActionMethodList Class Reference
[Actions]

`#include <Inventor/lists/SoActionMethodList.h>`

Inheritance diagram for SoActionMethodList:

List of all members.

## Detailed Description

The SoActionMethodList class contains function pointers for action methods.

An SoActionMethodList contains one function pointer per node type. Each action contains an SoActioMethodList to know which functions to call during scene graph traversal.

## Public Member Functions
| SoActionMethodList (SoActionMethodList *const parentlist)
| ~SoActionMethodList ()
SoActionMethod & | operator[] (const int index)
void | addMethod (const SoType node, const SoActionMethod method)
void | setUp (void)

## Constructor & Destructor Documentation

SoActionMethodList::SoActionMethodList | ( | SoActionMethodList *const | parentlist | ) |

| The constructor. The parentlist argument is the parent action's action method list. It can be `NULL` for action method lists that are not based on inheriting from a parent action.

SoActionMethodList::~SoActionMethodList | ( |  | ) |

| Destructor.

## Member Function Documentation

void SoActionMethodList::addMethod | ( | const SoType | node,
|  | const SoActionMethod | method
| ) |

| Add a function pointer to a node type's action method.

void SoActionMethodList::setUp | ( | void |  | ) |

| This method must be called as the last initialization step before using the list. It fills in `NULL` entries with the parent's method.

The documentation for this class was generated from the following files:

- SoActionMethodList.h
- SoActionMethodList.cpp